<?php
// 
// WHLX CMS - whlx_utilities.php
// 
// 20040330 - 0.00 alpha
// 




define( 'WHLX_PASSWORD_SEED'   , 'pw'                          );    // パスワードはcrypt化して保存されます. 
define( 'WHLX_DATETIME_FORMAT' , "Y年 m月 d日 (l) H時 i分 s秒" );    // 例 : "2004年 01月 01日 (Thursday) 01時 02分 03秒"
define( 'WHLX_TIMEZONE_GMT'    , ( +  0 ) * 60 * 60            );    // 
define( 'WHLX_TIMEZONE_EUROPAW', ( +  0 ) * 60 * 60            );    // 
define( 'WHLX_TIMEZONE_EUROPAC', ( +  1 ) * 60 * 60            );    // 
define( 'WHLX_TIMEZONE_EUROPAE', ( +  2 ) * 60 * 60            );    // 
define( 'WHLX_TIMEZONE_JAPAN'  , ( +  9 ) * 60 * 60            );    // (GMT +0900) 日本時間です. 単位は second. 
define( 'WHLX_TIMEZONE_USAPST' , ( -  8 ) * 60 * 60            );    // 
define( 'WHLX_TIMEZONE_USAMST' , ( -  7 ) * 60 * 60            );    // 
define( 'WHLX_TIMEZONE_USACST' , ( -  6 ) * 60 * 60            );    // 
define( 'WHLX_TIMEZONE_USAEST' , ( -  5 ) * 60 * 60            );    // 
define( 'WHLX_GMT_DIFFERENCE'  , WHLX_TIMEZONE_JAPAN           );    // 




function  WHLX_PasswordChecker( $text, $pw )
{
	if( crypt( $text, WHLX_PASSWORD_SEED ) == $pw ) return true;     
	else                                            return false;    
}




function  WHLX_DateTimeString()
{
	return gmdate( WHLX_DATETIME_FORMAT, time() + WHLX_GMT_DIFFERENCE );
}




function  WHLX_PostingResponse( $error, $message, $others )
{
	return 
		'<?xml version="1.0" ?> '.                            "\n".    
		'<response> '.                                        "\n".    
		'	<error>'.      $error  .    '</error>   '.    "\n".    
		'	<message>'.    $message.    '</message> '.    "\n".    
		'	<others>'.     $others .    '</others>  '.    "\n".    
		'</response> '.                                       "\n".    
		"\n";    
}




function  WHLX_ResponseHeader ()
{
	header( "Cache-Control:    no-cache                       \r\n" );    
	header( "Pragma:           no-cache                       \r\n" );    
	header( "Content-Type:     application/xml; charset=UTF-8 \r\n" );    
	header( "Content-Language: ja                             \r\n" );    
	return true;
}




function  WHLX_FileOutput( $data, $name, $mode )
{
	if( $name == '' || $name == null || $mode == null ) return false;

	$handle =  fopen( $name, 'w+' );
	if( !$handle ) return false;

	if( flock( $handle, LOCK_EX ) )
	{
		fwrite( $handle, $data );
		flock ( $handle, LOCK_UN );
	}
	fclose( $handle );
	chmod( $name, $mode );

	return true;
}




function  WHLX_ConvertString( $input, $flags, $length )
{
	$output =  mb_convert_encoding  ( $input, 'UTF-8' ); 
//	$output =  i18n_convert_encoding( $input, 'UTF-8' ); 

	// 制限長から 3文字削って '...' を加えます. 
	// 制限長 0 は無制限の意味です. 
	if( ( strlen( $output ) > $length ) && ( $length != 0 ) ) $output =  substr( $output, 0, $length - 3 ).  '...';

	$output =  stripslashes( $output ); 

	if( $flags &  0x0001 )  $output =  str_replace( '&'   , '&amp;'   , $output );      // &       -> &amp;  変換
	if( $flags &  0x0002 )  $output =  str_replace( '"'   , '&quot;'  , $output );      // "       -> &quot; 変換
	if( $flags &  0x0004 )  $output =  str_replace( '<'   , '&lt;'    , $output );      // <       -> &lt;   変換
	if( $flags &  0x0008 )  $output =  str_replace( '>'   , '&gt;'    , $output );      // >       -> &gt;   変換
	if( $flags &  0x0010 )  $output =  str_replace( "\0"  , ' '       , $output );      // 0       -> ' '    変換
	if( $flags &  0x0020 ){ $output =  str_replace( "\r\n", ' <br /> ', $output );      // 改行    -> <br /> 変換
		                $output =  str_replace( "\r"  , ' <br /> ', $output );      // 改行    -> <br /> 変換
		                $output =  str_replace( "\n"  , ' <br /> ', $output ); }    // 改行    -> <br /> 変換
	else                  { $output =  str_replace( "\r"  , ' '       , $output );      // 改行    -> ' '    変換
		                $output =  str_replace( "\n"  , ' '       , $output ); }    // 改行    -> ' '    変換
	if( $flags &  0x0040 )  $output =  str_replace( '  '  , ' '       , $output );      // ' ' x 2 -> ' '    変換

	return $output;
}




?>
